.account {
	display: grid;
	grid-row-gap: 30px;
	grid-template-columns: 1fr;

	&__info {

		&--media {
			margin-bottom: 10px;
		}

		&--name {
			font-weight: 700;
			line-height: 144%;
			text-align: center;
			font-family: $font-family-head;
			font-size: font-size-rel(18px);
		}
	}

	&__media {
		width: 111px;
		height: 111px;
		margin: 0 auto;
		overflow: hidden;
		display: block;
		position: relative;
		border-radius: 50%;

		&--photo {
			z-index: 1;
			position: relative;
		}

		&--upload {
			top: 0;
			left: 0;
			z-index: 20;
			width: 100%;
			height: 100%;
			font-weight: 400;
			cursor: pointer;
			font-size: font-size-rel(10px);
			line-height: font-size-rel(14px);
			text-align: center;
			position: absolute;
			display: flex;
			align-items: center;
			justify-content: center;
			color: rgba(0, 0, 0, 0.3);

			input {
				top: 0;
				left: 0;
				width: 1px;
				height: 1px;
				opacity: 0;
				visibility: hidden;
				position: absolute;
			}

			span {
				display: inline-block;
			}
		}
	}

	&__nav {
		margin: 0;
		padding: 0;
		list-style: none;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(18px);
	}

	&__item {
		margin-bottom: 20px;

		&:last-child {
			margin-bottom: 0;
		}
	}

	&__link {
		height: 40px;
		padding: 5px 40px 5px 16px;
		border-radius: 6px;
		color: $purple-100;
		position: relative;
		border: 1px solid $purple-100;
		display: flex;
		align-items: center;
		transition: .25s;

		svg {
			stroke:  $purple-100;
			transition: .25s;
		}

		&--icon {
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			display: inline-block;
		}

		&--text {
			padding-left: 12px;
			white-space: nowrap;
			display: inline-block;
		}

		&--arrow {
			right: 14px;
			top: calc(50% - 12px);
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			position: absolute;
			display: inline-block;
		}

		&:hover {
			color: $white;
			background: $purple-100;
			transition: .25s;

			svg {
				stroke: $white;
				transition: .25s;
			}
		}

		&.active {
			color: $white;
			background: $purple-100;
			transition: .25s;

			svg {
				stroke: $white;
				transition: .25s;
			}
		}
	}

	@media (min-width: $screen-sm-min) {
		grid-column-gap: 30px;
		grid-template-columns: 280px auto;
		grid-template-rows: auto auto;
		grid-template-areas: "sidebar info"
                       "sidebar content";
		&__info {
			grid-area: info;
		}

		&__sidebar {
			grid-area: sidebar;
		}

		&__content {
			grid-area: content;
		}
	}

	@media (min-width: $screen-md-min) {
		grid-row-gap: 60px;
		grid-template-columns: 300px auto;

		&__nav {
			font-size: font-size-rel(17px);
			line-height: font-size-rel(20px);
		}

		&__item {
			margin-bottom: 30px;

			&:last-child {
				margin-bottom: 0;
			}
		}

		&__link {
			height: 66px;
			padding-left: 35px;
			padding-right: 20px;
		}

		&__info {
			display: flex;
			align-items: center;

			&--media {
				margin: 0;
				width: 174px;
			}

			&--name {
				text-align: left;
				padding-left: 25px;
				font-size: font-size-rel(30px);
				line-height: font-size-rel(36px);
			}
		}

		&__media {
			width: 174px;
			height: 174px;
		}
	}

	@media (min-width: $screen-lg-min) {
		grid-template-columns: 448px auto;
	}
}

.history-empty {
	padding: 28px 30px;
	border-radius: 4px;
	background: $white;

	&__image {
		width: 152px;
		height: 152px;
		margin: 0 auto 15px auto;
	}

	&__text {
		text-align: center;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(20px);
		margin-bottom: 17px;
	}

	&__button {
		max-width: 200px;
		margin: 0 auto;

		.btn {
			width: 100%;
		}
	}

	@media (min-width: $screen-sm-min) {
		padding-bottom: 50px;

		&__image {
			width: 162px;
			height: 162px;
			margin: 0 auto 15px auto;
		}

		&__text {
			margin-bottom: 25px;
			font-size: font-size-rel(16px);
		}

		&__button {
			max-width: 300px;
		}
	}
}

.order {
	margin-bottom: 40px;

	&--closed {

		.order__header {
			opacity: .3;

			.order__header--status {
				color: $black;
				border-color: $black;
			}
		}

		.order__content {
			opacity: 0.3;
		}

		.order__total {
			opacity: 0.3;
			color: $black;
		}
	}

	&__header {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		font-weight: 700;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(16px);
		margin-bottom: 20px;

		&--text {
			padding: 15px 0;
			margin-right: 20px;
		}

		&--status {
			color: $purple-100;
			outline: none;
			font-weight: 500;
			min-width: 162px;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(20px);
			font-family: $font-family-head;
			padding: 8px 30px;
			user-select: none;
			text-align: center;
			white-space: nowrap;
			position: relative;
			text-decoration: none;
			display: inline-block;
			vertical-align: middle;
			background: transparent;
			border-radius: 19px;
			border: 2px solid $purple-100;
		}
	}

	&__content {

	}

	&__table {
		width: 100%;
		border-collapse: collapse;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(14px);

		th {
			padding: 16px;
			font-weight: 400;
			background: $white;
			position: relative;
			text-align: left;
			border-left: 1px solid $white;
			border-bottom: 9px solid $gray-100;

			&:before {
				top: 5px;
				bottom: 5px;
				left: -1px;
				content: '';
				width: 1px;
				z-index: 10;
				background: $gray-100;
				position: absolute;
			}

			&:first-child {
				border-left: none;
				border-radius: 6px 0 0 6px;

				&:before {
					display: none;
				}
			}

			&:last-child {
				border-radius: 0 6px 6px 0;
			}
		}

		td {
			background: $white;
			position: relative;
			padding: 14px 16px;
			border: 1px solid $gray-100;

			&:first-child {
				border-radius: 6px 0 0 6px;
			}

			&:last-child {
				border-radius: 0 6px 6px 0;
			}
		}

		tbody {

			tr {

				&:first-child {

					td {
						&:before {
							top: 0;
							left: -1px;
							content: '';
							width: 1px;
							height: 15px;
							z-index: 10;
							background: $white;
							position: absolute;
						}

						&:first-child {

							&:before {
								display: none;
							}
						}
					}
				}

				&:last-child {

					td {
						&:before {
							bottom: 0;
							left: -1px;
							content: '';
							width: 1px;
							height: 15px;
							z-index: 10;
							background: $white;
							position: absolute;
						}

						&:first-child {

							&:before {
								display: none;
							}
						}
					}
				}
			}
		}
	}

	&__total {
		font-weight: 600;
		margin-top: 9px;
		border-radius: 4px;
		background: $white;
		padding: 15px 16px;
		text-align: right;
		color: $purple-100;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
	}

	&__name {
		display: flex;
		align-items: center;

		&--image {
			width: 30px;
			height: 30px;
			display: block;
			overflow: hidden;
			border-radius: 50%;
			border: 1px solid $gray-100;
			flex-shrink: 0;
		}

		&--title {
			padding-left: 12px;
		}
	}

	@media (min-width: $screen-md-min) {
		margin-bottom: 45px;

		&__header {
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);
		}

		&__table {
			font-size: font-size-rel(16px);
			line-height: font-size-rel(20px);

			th {

				&:first-child {
					padding-left: 20px;
				}
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__table {

			th {

				&:last-child {
					padding-right: 40px;
				}
			}

			td {
				padding: 14px 20px;

				&:last-child {
					padding-right: 40px;
				}
			}
		}

		&__total {
			padding-right: 40px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__header {
			font-size: font-size-rel(20px);
			line-height: font-size-rel(30px);

			&--text {
				padding: 10px 0;
			}
		}
	}
}